
%define kf5_version 5.85.0

Name:           plasma-nano
Version:        5.23.3
Release:        1%{?dist}
# Full Plasma 5 version (e.g. 5.9.3)
%{!?_plasma5_bugfix: %define _plasma5_bugfix %{version}}
# Latest ABI-stable Plasma (e.g. 5.8 in KF5, but 5.9.3 in KUF)
%{!?_plasma5_version: %define _plasma5_version %(echo %{_plasma5_bugfix} | awk -F. '{print $1"."$2}')}
Summary:        Plasma Nano
License:        GPL-2.0-or-later
Group:          System/GUI/KDE
URL:            http://www.kde.org/
Source:         plasma-nano-%{version}.tar.xz
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  kf5-rpm-macros
BuildRequires:  desktop-file-utils
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(KF5I18n) >= %{kf5_version}
BuildRequires:  cmake(KF5Plasma) >= %{kf5_version}
BuildRequires:  cmake(KF5Wayland) >= %{kf5_version}
BuildRequires:  cmake(KF5WindowSystem) >= %{kf5_version}
BuildRequires:  cmake(Qt5Qml)
# Includes some plugins for kpackage needed during build
BuildRequires:  plasma-workspace >= %{_plasma5_bugfix}
Requires:       kdeclarative-components
Requires:       kirigami2
Requires:       libqt5-qtgraphicaleffects
Requires:       plasma-workspace >= %{_plasma5_bugfix}
# hardcode versions of plasma-framework-components and plasma-framework-private packages, as upstream doesn't keep backwards compability there
#$$%requires_ge plasma-framework-components
#44%requires_ge plasma-framework-private
# Part of the default applet selection
Recommends:     plasma-mycroft
Recommends:     plasma-nm

%description
A minimal plasma shell package intended for embedded devices

%lang_package

%prep
%autosetup -n %{name}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

%files -f %{name}.lang
%license LICENSES/*
%dir %{_kf5_qmldir}/org/
%dir %{_kf5_qmldir}/org/kde/
%dir %{_kf5_qmldir}/org/kde/plasma/
%dir %{_kf5_qmldir}/org/kde/plasma/private/
%{_kf5_qmldir}/org/kde/plasma/private/nanoshell/
%{_kf5_metainfodir}/org.kde.plasma.nano.desktoptoolbox.appdata.xml
%dir %{_kf5_datadir}/plasma/packages/
%{_kf5_datadir}/plasma/packages/org.kde.plasma.nano.desktoptoolbox/
%dir %{_kf5_datadir}/plasma/shells
%{_kf5_datadir}/plasma/shells/org.kde.plasma.nano/
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.plasma.nano.desktop
%{_kf5_datadir}/kservices5/plasma-package-org.kde.plasma.nano.desktoptoolbox.desktop

%changelog
* Thu Dec 23 2021 Yoda
- update to 5.23.4
* Tue Oct 12 2021 Yoda
- Initial package
